import rlcompleter, readline
readline.parse_and_bind('tab:complete')
import numpy as np
from scipy import stats
import matplotlib.pyplot as plt

from pyhdf.SD import *

execfile('input_sp.py')

SDS_NAME340='BRDF_Reflectance_lambda340'
SDS_NAME380='BRDF_Reflectance_lambda380'
SDS_NAME470='BRDF_Reflectance_lambda470'
SDS_NAME680='BRDF_Reflectance_lambda680'
SDS_NAME870='BRDF_Reflectance_lambda870'
SDS_NAME1036='BRDF_Reflectance_lambda1036'
SDS_NAME1219='BRDF_Reflectance_lambda1219'
SDS_NAME1275='BRDF_Reflectance_lambda1275'
SDS_NAME=((SDS_NAME340,SDS_NAME380,SDS_NAME470,SDS_NAME680,SDS_NAME870,SDS_NAME1036,SDS_NAME1219,SDS_NAME1275))

nphi=360.0/del_phi
ntheta=90.0/del_theta+1

nphi=int(nphi)
ntheta=int(ntheta)

inputfile=datadir+inputfile
brf_data=np.zeros((number_of_spectral_bands,nphi,ntheta))

hdf=SD(inputfile)
for i in range(0,number_of_spectral_bands):
 sds=hdf.select(SDS_NAME[i])
 data=sds.get()
 if(space==0):
  brf_data[i,:,:]=data[0:ntheta,0:nphi].T
 else:
  brf_data[i,:,:]=data[ntheta-1:2*ntheta-1,0:nphi][::-1,:].T

xaxis=wavelengths
spectral_slope=np.zeros((nphi,ntheta))
spectral_intercept=np.zeros((nphi,ntheta))
r_value=np.zeros((nphi,ntheta))
p_value=np.zeros((nphi,ntheta))
std_err=np.zeros((nphi,ntheta))
for i in range(0,nphi):
 for j in range(0,ntheta):
  spectral_slope[i,j], spectral_intercept[i,j], r_value[i,j], p_value[i,j], std_err[i,j] = stats.linregress(xaxis[band_index_start:band_index_end],brf_data[band_index_start:band_index_end,i,j])

execfile('slope_polarplot.py')


