import rlcompleter, readline
readline.parse_and_bind('tab:complete')
import numpy as np
import matplotlib.pyplot as plt

execfile('input_slope_polar.py')

nphi=360.0/del_phi
ntheta=90.0/del_theta+1
polar_data=spectral_slope		

if(maximum==9999):
 maximum=np.nanmax(polar_data)
if(minimum==-9999):
 minimum=np.nanmin(polar_data)


azimuths = np.linspace(0,360,nphi)
zeniths = np.linspace(0,90,ntheta)
theta = np.radians(azimuths)
zeniths = np.array(zeniths)
polar_data = np.array(polar_data)

polar_data = polar_data.reshape(len(azimuths), len(zeniths))

r, theta = np.meshgrid(zeniths, np.radians(azimuths))
fig, ax = plt.subplots(subplot_kw=dict(projection='polar'))
ax.set_yticks(theta_ticks)
ntheta_ticks=len(theta_ticks)
yticklabels=[[None]]*ntheta_ticks
for i in range(0,ntheta_ticks):
 yticklabels[i]='$'+str(theta_ticks[i])+'^{\circ}$'
ax.set_yticklabels(yticklabels)

nphi_ticks=len(phi_ticks)
ax.set_xticks(np.array(phi_ticks)*np.pi/180.0)
xticklabels=[[None]]*nphi_ticks
for i in range(0,nphi_ticks):
 xticklabels[i]='$'+str(phi_ticks[i])+'^{\circ}$'
ax.set_xticklabels(xticklabels)

ax.set_theta_zero_location("N")
ax.set_theta_direction(-1)
ax.tick_params(axis='theta',which='major',pad=0.5)
level_interval=(maximum-minimum)/nlevel
cax = ax.contourf(theta, r,polar_data,np.arange(minimum,maximum,level_interval),extend='both',cmap=cmap)
if(colorbar==0):
 cb = fig.colorbar(cax,format=colorbar_format,pad=0.06)
ncolorbar_ticks=len(colorbar_ticks)
colorbarlabels=[[None]]*ncolorbar_ticks
for i in range(0,ncolorbar_ticks):
 colorbarlabels[i]=str(colorbar_ticks[i])
if(colorbar==1):
 cb = fig.colorbar(cax,format=colorbar_format,ticks=colorbar_ticks,pad=0.06)
 cb.set_ticklabels(colorbarlabels)
#cb.set_label("Reflectance")
plt.savefig(output_filename, dpi=dpi,bbox_inches='tight', format='png')
plt.clf()

