import rlcompleter, readline
readline.parse_and_bind('tab:complete')
import numpy as np
import matplotlib.pyplot as plt

from pyhdf.SD import *

execfile('input_statistics.py')

SDS_NAME340='BRDF_Reflectance_lambda340'
SDS_NAME380='BRDF_Reflectance_lambda380'
SDS_NAME470='BRDF_Reflectance_lambda470'
SDS_NAME680='BRDF_Reflectance_lambda680'
SDS_NAME870='BRDF_Reflectance_lambda870'
SDS_NAME1036='BRDF_Reflectance_lambda1036'
SDS_NAME610='BRDF_Reflectance_lambda610'
SDS_NAME1275='BRDF_Reflectance_lambda1275'
SDS_NAME2105='BRDF_Reflectance_lambda2105'
SDS_NAME=((SDS_NAME340,SDS_NAME380,SDS_NAME470,SDS_NAME680,SDS_NAME870,SDS_NAME1036,SDS_NAME610,SDS_NAME1275,SDS_NAME2105))

nphi=int(360.0/del_phi)
ntheta=int(90.0/del_theta+1)

inputfile=datadir+inputfile
polar_data=np.zeros((nphi,ntheta))

hdf=SD(inputfile)
sds=hdf.select(SDS_NAME[band_index])
data=sds.get()
if(space==0):
 polar_data=data[0:ntheta,0:nphi].T
else:
 polar_data=data[ntheta-1:2*ntheta-1,0:nphi][::-1,:].T

minimum=np.nanmin(polar_data)
print "minimum: ",minimum

maximum=np.nanmax(polar_data)
print "maximum: ",maximum

std=np.nanstd(polar_data)
print "standard deviation: ",std

variance=np.nanvar(polar_data)
print "variance: ",variance

albedo=0
for i in range(0,nphi):
 for j in range(0,ntheta):
  theta=j*del_theta*np.pi/180.0
  phi=i*del_phi*np.pi/180.0
  if(~np.isnan(polar_data[i,j])):
   albedo=albedo+polar_data[i,j]*np.cos(theta)*np.sin(theta)*del_phi*np.pi/180.0*del_theta*np.pi/180.0
 
albedo=1/np.pi*albedo
print "albedo: ",albedo


